
-- Zadatak 1
DELIMITER $$

CREATE PROCEDURE change_manager(IN emp_id INT, IN dep_id INT)
BEGIN
    UPDATE MANAGERS
    SET DISMISSAL_DATE = CURRENT_DATE()
    WHERE EMPLOYEE_ID = emp_id AND DEP_ID = dep_id AND DISMISSAL_DATE IS NULL;
END $$

DELIMITER ;

call change_manager(5, 1)